## lv2core 4.0

=== wscript ===
#!/usr/bin/env python
import sys

from waflib.extras import autowaf as autowaf
import waflib.Options as Options

# Version of this package (even if built as a child)
LV2CORE_VERSION = '4.0'

# Variables for 'waf dist'
APPNAME = 'lv2core'
VERSION = LV2CORE_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.add_option('--default-lv2-path', type='string', default='',
                   dest='default_lv2_path',
                   help="Default LV2 path to use if $LV2_PATH is unset")
    opt.add_option('--bundle-only', action='store_true', default=False,
                   dest='bundle_only',
                   help="Only install LV2 bundle (not header or pkg-config file)")
    autowaf.set_options(opt)

def configure(conf):
    autowaf.configure(conf)
    lv2core_path_sep = ':'
    lv2core_dir_sep  = '/'
    if sys.platform == 'win32':
        lv2core_path_sep = ';'
        lv2core_dir_sep = '\\'

    autowaf.define(conf, 'LV2CORE_PATH_SEP', lv2core_path_sep)
    autowaf.define(conf, 'LV2CORE_DIR_SEP',  lv2core_dir_sep)

    if Options.options.default_lv2_path == '':
        if Options.platform == 'darwin':
            Options.options.default_lv2_path = lv2core_path_sep.join([
                    '~/Library/Audio/Plug-Ins/LV2',
                    '~/.lv2',
                    '/usr/local/lib/lv2',
                    '/usr/lib/lv2',
                    '/Library/Audio/Plug-Ins/LV2'])
        elif Options.platform == 'haiku':
            Options.options.default_lv2_path = lv2core_path_sep.join([
                '~/.lv2',
                '/boot/common/add-ons/lv2'])
        elif Options.platform == 'win32':
            Options.options.default_lv2_path = 'C:\\Program Files\\LV2'
        else:
            Options.options.default_lv2_path = lv2core_path_sep.join([
                    '~/.lv2',
                    '/usr/%s/lv2' % conf.env['LIBDIRNAME'],
                    '/usr/local/%s/lv2' % conf.env['LIBDIRNAME']])

    autowaf.define(conf, 'LV2CORE_DEFAULT_LV2_PATH', Options.options.default_lv2_path)

    conf.write_config_header('lv2-config.h', remove=False)

def build(bld):
    # Header "library"
    obj = bld(export_includes = ['.'],
              name            = 'liblv2core',
              target          = 'lv2core')

    if not Options.options.bundle_only:
        # Header
        bld.install_files('${INCLUDEDIR}', 'lv2.h')
        bld.install_files('${LV2DIR}/lv2core.lv2', 'lv2.h')

        # Pkgconfig file
        autowaf.build_pc(bld, 'LV2CORE', LV2CORE_VERSION, [])

    # Bundle (data)
    bld.install_files('${LV2DIR}/lv2core.lv2', 'lv2.ttl manifest.ttl')

    obj = bld(features     = 'c cprogram',
              source       = 'lv2config.c serd-0.1.0.c',
              target       = 'lv2config',
              install_path = '${BINDIR}',
              cflags       = '-std=c99')

def dist():
    import Scripting
    Scripting.g_gz = 'gz'
    Scripting.dist()

=== debian/changelog ===
lv2core (4.0-6) unstable; urgency=low

  * Added patch to fix snprintf overflow (Closes: #624775)
    - thanks to Dan Muresan <danmbox3@yahoo.ro>
  * Bump Standards

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 03 May 2011 11:47:20 +0200

lv2core (4.0-5) unstable; urgency=low

  * Upload to unstable.
  * debian/copyright: Fix small issues.

 -- Alessio Treglia <alessio@debian.org>  Tue, 29 Mar 2011 13:33:37 +0200

lv2core (4.0-4) experimental; urgency=low

  * debian/dh_lv2config:
    - Headers tree must begin with /usr/include/lv2/.
  * Provide /usr/include/lv2.h (symlink) for backward compatibility.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Mar 2011 17:42:25 +0200

lv2core (4.0-3) experimental; urgency=low

  * Fix dh_lv2config.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Mar 2011 13:08:51 +0200

lv2core (4.0-2) experimental; urgency=low

  * Use lv2config to create the #include directory tree:
    - Remove /usr/include/lv2.h in order to let packages build against
      this to check if they are LV2rev4-compliant. We'll reintroduce a
      symlink into /usr/include/lv2.h later in unstable, for backward
      compatibility.
  * debian/patches/0001-lv2config_bundle_prefix.patch:
    - Several improvements to lv2config, which accepts 2 options
      on the command line now:
      + -d DESTDIR
      + -b BUNDLE_PREFIX
  * debian/copyright:
    - Re-order stanzas.
    - Add copyright holders for lv2.h.
    - A bit of clean-up.
  * debian/lv2config.1:
    - Various improvements.
    - Merge upstream changes, thanks David!
  * First release of dh_lv2config, please use with caution.
  * Add debhelper sequence file for dh_lv2config.
  * Add build-dependency on perl.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Mar 2011 11:04:14 +0200

lv2core (4.0-1) experimental; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release
  * Added .gitignore file
  * Switched to format 3
  * Added gpp.conf file
  * Added local-options file
  * Fixed watch file  master
  * Updated copyright file to rev.166
  * Switch architecture to any
  * Manpages added for lv2config

  [ Alessio Treglia ]
  * Fix licenses' denomination.
  * Fix description-synopsis-starts-with-article warning.

 -- Alessio Treglia <alessio@debian.org>  Fri, 25 Mar 2011 12:36:17 +0100

lv2core (3.0-3) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Reordered control file
  * Added DM-Upload-Allowed: yes

  [ Alessio Treglia ]
  * Add myself as uploader.
  * Bump Standards.
  * Switch to debhelper 7.
  * Set source format to 1.0.
  * Update debian/copyright.
  * Move python from Build-Depends-Indep to Build-Depends field.

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Mon, 10 May 2010 20:46:27 +0200

lv2core (3.0-2) unstable; urgency=low

  [ Adrian Knoth ]
  * Fix small typo found by lintian.

  [ Jaromír Mikeš ]
  * Add missing attributions to debian/copyright
  * Maintainer changed in debian/control

 -- Free Ekanayaka <freee@debian.org>  Fri, 31 Jul 2009 09:22:24 +0200

lv2core (3.0-1) unstable; urgency=low

  * Initial release (Closes: #522070) 

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 28 Jul 2009 02:48:39 +0200

=== debian/control ===
Source: lv2core
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 perl,
 python
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-multimedia/lv2core.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/lv2core.git
Homepage: http://lv2plug.in/

Package: lv2core
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: LV2 audio plugin specification
 This package contains the 'core' LV2 audio plugin specification,
 including data required by hosts to make effective use of LV2 plugins.
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA
 which many applications have outgrown.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr

override_dh_auto_build:
	$(WAF)
	pod2man debian/dh_lv2config debian/dh_lv2config.1

override_dh_auto_clean:
	$(WAF) distclean
	rm -f  autowaf.pyc

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/lv2core
	rm -f $(CURDIR)/debian/lv2core/usr/include/lv2.h

override_dh_install:
	dh_install
	debian/lv2core/usr/bin/lv2config \
		-d debian/lv2core \
		-b debian/lv2core \
	/usr/include/lv2 debian/lv2core/usr/lib/lv2

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## lv2core 6.0

=== debian/changelog ===
lv2core (6.0-1) unstable; urgency=low

  * New upstream release:
    - Switch to the ISC license, a simple BSD-style license (with permission
      of all contributors to lv2.h and its ancestor, ladspa.h).
    - Remove lv2config in favour of the simple convention that specifications
      install headers to standard URI-based paths.
    - Make lv2core.ttl a valid OWL 2 DL ontology.
    - Improve documentation.
    - Add lv2:extensionData and lv2:ExtensionData for plugins to indicate
      that they support some URI for extension_data().
    - Rename core.lv2 and lv2.ttl to lv2core.lv2 and lv2core.ttl to adhere
      to modern conventions.
  * debian/control:
    - Switch lv2core package to Architecture: all, no architecture-dependent
      files are provided.
    - Add Suggests: lv2-extensions-good.
  * debian/copyright:
    - Update to reflect upstream license changes.
    - Add a comment about the relicensing.
  * Drop lv2config, it's not needed anymore.
  * Install NEWS as upstream's changelog instead of ChangeLog.
  * Remove all patches, no longer needed.

 -- Alessio Treglia <alessio@debian.org>  Fri, 02 Dec 2011 18:32:35 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
 Homepage: http://lv2plug.in/
 
 Package: lv2core
-Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: lv2-extensions-good
 Description: LV2 audio plugin specification
  This package contains the 'core' LV2 audio plugin specification,
  including data required by hosts to make effective use of LV2 plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean
	rm -f  autowaf.pyc

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/lv2core
	rm -f $(CURDIR)/debian/lv2core/usr/include/lv2.h

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## lv2core 6.0+dfsg0

=== wscript ===
#!/usr/bin/env python
import os

from waflib.extras import autowaf as autowaf
import waflib.Options as Options
import waflib.Scripting as Scripting

# Version of this package (even if built as a child)
LV2CORE_VERSION = '6.0'

# Variables for 'waf dist'
APPNAME = 'lv2core'
VERSION = LV2CORE_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)
    opt.add_option('--bundle-only', action='store_true', default=False,
                   dest='bundle_only',
                   help="Only install bundle (not header or pkg-config file)")
    opt.add_option('--copy-headers', action='store_true', default=False,
                   dest='copy_headers',
                   help='Copy headers instead of linking to bundle')

def configure(conf):
    if not hasattr(os.path, 'relpath') and not Options.options.copy_headers:
        conf.fatal(
            'os.path.relpath missing, get Python 2.6 or use --copy-headers')

    conf.load('compiler_c')
    autowaf.configure(conf)

    autowaf.display_msg(conf, "LV2 bundle directory", conf.env['LV2DIR'])
    print('')

def write_news(doap_file):
    import rdflib
    import textwrap
    from time import strftime, strptime

    doap = rdflib.Namespace('http://usefulinc.com/ns/doap#')
    dcs  = rdflib.Namespace('http://ontologi.es/doap-changeset#')
    rdfs = rdflib.Namespace('http://www.w3.org/2000/01/rdf-schema#')
    foaf = rdflib.Namespace('http://xmlns.com/foaf/0.1/')
    rdf  = rdflib.Namespace('http://www.w3.org/1999/02/22-rdf-syntax-ns#')

    m = rdflib.ConjunctiveGraph()

    try:
        m.parse(doap_file, format='n3')
    except:
        print('warning: no DOAP file found, unable to generate NEWS')
        return

    spec = m.value(None, rdf.type, doap.Project)

    entries = {}
    for r in m.triples([spec, doap.release, None]):
        release   = r[2]
        revision  = m.value(release, doap.revision, None) or '9999'
        date      = m.value(release, doap.created, None) or '9999-01-01'
        blamee    = m.value(release, dcs.blame, None)
        changeset = m.value(release, dcs.changeset, None)

        entry = '%s (%s) stable;\n' % (APPNAME, revision)

        if changeset:
            for i in m.triples([changeset, dcs.item, None]):
                entry += '\n  * ' + '\n    '.join(
                    textwrap.wrap(m.value(i[2], rdfs.label, None), width=79))

        entry += '\n\n -- %s <%s>  %s\n\n' % (
            m.value(blamee, foaf.name, None),
            m.value(blamee, foaf.mbox, None).replace('mailto:', ''),
            strftime('%a, %d %b %Y %H:%M:%S +0000', strptime(date, '%Y-%m-%d')))

        entries[revision] = entry

    news = open('NEWS', 'w')
    for e in sorted(entries.keys(), reverse=True):
        news.write(entries[e])
    news.close()

def build(bld):
    # Header "library"
    obj = bld(export_includes = ['.'],
              name            = 'liblv2core',
              target          = 'lv2core')

    # Bundle (data)
    bld.install_files('${LV2DIR}/lv2core.lv2', bld.path.ant_glob('*.ttl'))

    if not Options.options.bundle_only:
        # Header
        bld.install_files('${INCLUDEDIR}', 'lv2.h')
        bld.install_files('${LV2DIR}/lv2core.lv2', 'lv2.h')

        # Pkgconfig file
        autowaf.build_pc(bld, 'LV2CORE', LV2CORE_VERSION, '', [])

        # URI-like header include
        include_dir = os.path.join(bld.env['INCLUDEDIR'], 'lv2/lv2plug.in/ns')
        bundle_dir  = os.path.join(bld.env['LV2DIR'], 'lv2core.lv2')
        if bld.env['COPY_HEADERS']:
            bld.install_files(os.path.join(include_dir, 'lv2core'),
                              bld.path.ant_glob('*.h'))
        else:
            bld.symlink_as(os.path.join(include_dir, 'lv2core'),
                           os.path.relpath(bundle_dir, include_dir))

class Dist(Scripting.Dist):
    fun = 'dist'
    cmd = 'dist'

    def archive(self):
        # Write NEWS file
        write_news('lv2core.doap.ttl')

        # Build distribution
        Scripting.Dist.archive(self)

        # Delete generated NEWS file
        os.remove('NEWS')

class DistCheck(Dist, Scripting.DistCheck):
    fun = 'distcheck'
    cmd = 'distcheck'

    def archive(self):
        Dist.archive(self)

=== debian/changelog ===
lv2core (6.0+dfsg0-3) unstable; urgency=medium

  * Set dh/compat 9.
  * Bump Standards.
  * Don't sign tags.
  * Enable parallel build.
  * Watch file mangle version.
  * Update VCS fields.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 15 Jun 2015 14:57:10 +0200

lv2core (6.0+dfsg0-2) unstable; urgency=low

  * Migration from lv2core to lv2-dev:
    - Make lv2core a dummy package for a smooth transition.
    - Update package's description accordingly.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 13 Jun 2012 10:11:01 +0200

lv2core (6.0+dfsg0-1) unstable; urgency=low

  * Repack upstream tarball to get rid of the waf binary (Closes: #654487).
  * Properly clean sources tree.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 02:56:24 +0100

=== debian/control ===
Source: lv2core
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 perl,
 python
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lv2core.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/lv2core.git
Homepage: http://lv2plug.in/

Package: lv2core
Section: oldlibs
Architecture: all
Depends:
 lv2-dev,
 ${misc:Depends}
Description: LV2 audio plugin specification (dummy package)
 This package contains the 'core' LV2 audio plugin specification,
 including data required by hosts to make effective use of LV2 plugins.
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA
 which many applications have outgrown.
 .
 The unified LV2 release is now provided by the lv2-dev package. This
 is a dummy package and can be safely removed after the installation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	dh_auto_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/(\da?)[\+\.\-~](?:dfsg|debian|ds|repack)\.?\d*$/$1/ \
http://lv2plug.in/spec/ \
(?:.*/|.*=|)lv2core[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
